Skip to main content
PATCH
/
api
/
v2
/
platform
/
promotions
/
{id}
Update a Promotion
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    promotion: {
      name: 'Promotions Used in 2021',
      code: 'CYB-MON',
      description: 'Save today with discount code XYZ at checkout.',
      usage_limit: 100,
      advertise: true,
      starts_at: '<string>',
      ends_at: '<string>',
      store_ids: ['2']
    }
  })
};

fetch('http://{defaultHost}/api/v2/platform/promotions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "58",
    "type": "promotion",
    "attributes": {
      "description": "This is the new updated promo",
      "expires_at": null,
      "starts_at": null,
      "name": "10% OFF",
      "type": null,
      "usage_limit": null,
      "match_policy": "all",
      "code": "RAND-10",
      "advertise": false,
      "path": null,
      "created_at": "2022-11-08T19:35:04.723Z",
      "updated_at": "2022-11-08T19:35:04.970Z",
      "public_metadata": {},
      "private_metadata": {}
    },
    "relationships": {
      "promotion_category": {
        "data": {
          "id": "20",
          "type": "promotion_category"
        }
      },
      "promotion_rules": {
        "data": [
          {
            "id": "19",
            "type": "promotion_rule"
          }
        ]
      },
      "promotion_actions": {
        "data": [
          {
            "id": "42",
            "type": "promotion_action"
          }
        ]
      },
      "stores": {
        "data": [
          {
            "id": "396",
            "type": "store"
          }
        ]
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
promotion
object
required

Response

Record updated

data
object
required